Bug 512 - xmms memory leak
: xmms memory leak
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xmms)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-02-03 05:54 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-02-03 05:54:46
Загрузка плейлиста, приведенного ниже вызвает утечку памяти.
xmms-1.2.6-alt1

---

---
$ cat shoutcast-playlist.pls
[playlist]
numberofentries=3
File1=<a href="http://205.188.245.131:8012">http://205.188.245.131:8012</a>
Title1=(#1 - 63/300) WOLF FM - The hottest mix of the 70s, 80s and today!
Length1=-1
File2=<a href="http://205.188.245.132:8012">http://205.188.245.132:8012</a>
Title2=(#2 - 67/300) WOLF FM - The hottest mix of the 70s, 80s and today!
Length2=-1
File3=<a href="http://209.133.121.167:8028">http://209.133.121.167:8028</a>
Title3=(#3 - 168/700) WOLF FM - The hottest mix of the 70s, 80s and today!
Length3=-1
Version=2
------- Comment #1 From 2002-03-06 22:04:12 -------
FIxed in xmms-sndfile-1.0pre6-alt3
------- Comment #2 From 2002-03-06 22:04:12 -------
FIxed in xmms-sndfile-1.0pre6-alt3